# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: SensorProvider.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='SensorProvider.proto',
  package='sila2.biovt.mw.tum.de.examples.sensorprovider.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x14SensorProvider.proto\x12\x30sila2.biovt.mw.tum.de.examples.sensorprovider.v1\x1a\x13SiLAFramework.proto\"J\n\x16GetSingleO2_Parameters\x12\x30\n\x07\x43hannel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\xa5\x03\n\x15GetSingleO2_Responses\x12=\n\x14\x43urrentChannelNumber\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x39\n\x11\x43urrentSensorType\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x39\n\x10\x43urrentAmplitude\x18\x03 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\x0c\x43urrentPhase\x18\x04 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x12\x43urrentTemperature\x18\x05 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12/\n\tCurrentO2\x18\x06 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x10\x43urrentErrorCode\x18\x07 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"J\n\x16GetSinglePH_Parameters\x12\x30\n\x07\x43hannel\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\xa5\x03\n\x15GetSinglePH_Responses\x12=\n\x14\x43urrentChannelNumber\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x39\n\x11\x43urrentSensorType\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x39\n\x10\x43urrentAmplitude\x18\x03 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\x0c\x43urrentPhase\x18\x04 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x12\x43urrentTemperature\x18\x05 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12/\n\tCurrentPH\x18\x06 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x10\x43urrentErrorCode\x18\x07 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x15\n\x13GetAllO2_Parameters\"\xe3\x02\n\x12GetAllO2_Responses\x12\x39\n\x11\x43urrentSensorType\x18\x01 \x03(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x39\n\x10\x43urrentAmplitude\x18\x02 \x03(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\x0c\x43urrentPhase\x18\x03 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x12\x43urrentTemperature\x18\x04 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12/\n\tCurrentO2\x18\x05 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x10\x43urrentErrorCode\x18\x06 \x03(\x0b\x32\x1e.sila2.org.silastandard.String\"\x15\n\x13GetAllPH_Parameters\"\xe3\x02\n\x12GetAllPH_Responses\x12\x39\n\x11\x43urrentSensorType\x18\x01 \x03(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x39\n\x10\x43urrentAmplitude\x18\x02 \x03(\x0b\x32\x1f.sila2.org.silastandard.Integer\x12\x32\n\x0c\x43urrentPhase\x18\x03 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x12\x43urrentTemperature\x18\x04 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12/\n\tCurrentPH\x18\x05 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\x12\x38\n\x10\x43urrentErrorCode\x18\x06 \x03(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1e\n\x1cGet_TotalChannels_Parameters\"U\n\x1bGet_TotalChannels_Responses\x12\x36\n\rTotalChannels\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x1a\n\x18Get_TotalBars_Parameters\"M\n\x17Get_TotalBars_Responses\x12\x32\n\tTotalBars\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x1b\n\x19Get_BarSensors_Parameters\"O\n\x18Get_BarSensors_Responses\x12\x33\n\nBarSensors\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer2\xa2\t\n\x0eSensorProvider\x12\xa2\x01\n\x0bGetSingleO2\x12H.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Parameters\x1aG.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses\"\x00\x12\xa2\x01\n\x0bGetSinglePH\x12H.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Parameters\x1aG.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses\"\x00\x12\x99\x01\n\x08GetAllO2\x12\x45.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Parameters\x1a\x44.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses\"\x00\x12\x99\x01\n\x08GetAllPH\x12\x45.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Parameters\x1a\x44.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses\"\x00\x12\xb4\x01\n\x11Get_TotalChannels\x12N.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Parameters\x1aM.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Responses\"\x00\x12\xa8\x01\n\rGet_TotalBars\x12J.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Responses\"\x00\x12\xab\x01\n\x0eGet_BarSensors\x12K.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETSINGLEO2_PARAMETERS = _descriptor.Descriptor(
  name='GetSingleO2_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Channel', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Parameters.Channel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=95,
  serialized_end=169,
)


_GETSINGLEO2_RESPONSES = _descriptor.Descriptor(
  name='GetSingleO2_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentChannelNumber', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentChannelNumber', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentSensorType', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentSensorType', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentAmplitude', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentAmplitude', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPhase', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentPhase', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentTemperature', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentTemperature', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentO2', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentO2', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentErrorCode', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses.CurrentErrorCode', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=172,
  serialized_end=593,
)


_GETSINGLEPH_PARAMETERS = _descriptor.Descriptor(
  name='GetSinglePH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Channel', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Parameters.Channel', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=595,
  serialized_end=669,
)


_GETSINGLEPH_RESPONSES = _descriptor.Descriptor(
  name='GetSinglePH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentChannelNumber', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentChannelNumber', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentSensorType', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentSensorType', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentAmplitude', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentAmplitude', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPhase', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentPhase', index=3,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentTemperature', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentTemperature', index=4,
      number=5, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPH', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentPH', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentErrorCode', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses.CurrentErrorCode', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=672,
  serialized_end=1093,
)


_GETALLO2_PARAMETERS = _descriptor.Descriptor(
  name='GetAllO2_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1095,
  serialized_end=1116,
)


_GETALLO2_RESPONSES = _descriptor.Descriptor(
  name='GetAllO2_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorType', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentSensorType', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentAmplitude', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentAmplitude', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPhase', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentPhase', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentTemperature', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentTemperature', index=3,
      number=4, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentO2', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentO2', index=4,
      number=5, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentErrorCode', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses.CurrentErrorCode', index=5,
      number=6, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1119,
  serialized_end=1474,
)


_GETALLPH_PARAMETERS = _descriptor.Descriptor(
  name='GetAllPH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1476,
  serialized_end=1497,
)


_GETALLPH_RESPONSES = _descriptor.Descriptor(
  name='GetAllPH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorType', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentSensorType', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentAmplitude', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentAmplitude', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPhase', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentPhase', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentTemperature', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentTemperature', index=3,
      number=4, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentPH', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentPH', index=4,
      number=5, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='CurrentErrorCode', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses.CurrentErrorCode', index=5,
      number=6, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1500,
  serialized_end=1855,
)


_GET_TOTALCHANNELS_PARAMETERS = _descriptor.Descriptor(
  name='Get_TotalChannels_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1857,
  serialized_end=1887,
)


_GET_TOTALCHANNELS_RESPONSES = _descriptor.Descriptor(
  name='Get_TotalChannels_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='TotalChannels', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Responses.TotalChannels', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1889,
  serialized_end=1974,
)


_GET_TOTALBARS_PARAMETERS = _descriptor.Descriptor(
  name='Get_TotalBars_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1976,
  serialized_end=2002,
)


_GET_TOTALBARS_RESPONSES = _descriptor.Descriptor(
  name='Get_TotalBars_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='TotalBars', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Responses.TotalBars', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2004,
  serialized_end=2081,
)


_GET_BARSENSORS_PARAMETERS = _descriptor.Descriptor(
  name='Get_BarSensors_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2083,
  serialized_end=2110,
)


_GET_BARSENSORS_RESPONSES = _descriptor.Descriptor(
  name='Get_BarSensors_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='BarSensors', full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Responses.BarSensors', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2112,
  serialized_end=2191,
)

_GETSINGLEO2_PARAMETERS.fields_by_name['Channel'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentChannelNumber'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentSensorType'].message_type = SiLAFramework__pb2._STRING
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentAmplitude'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentPhase'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentTemperature'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentO2'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEO2_RESPONSES.fields_by_name['CurrentErrorCode'].message_type = SiLAFramework__pb2._STRING
_GETSINGLEPH_PARAMETERS.fields_by_name['Channel'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentChannelNumber'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentSensorType'].message_type = SiLAFramework__pb2._STRING
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentAmplitude'].message_type = SiLAFramework__pb2._INTEGER
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentPhase'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentTemperature'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentPH'].message_type = SiLAFramework__pb2._REAL
_GETSINGLEPH_RESPONSES.fields_by_name['CurrentErrorCode'].message_type = SiLAFramework__pb2._STRING
_GETALLO2_RESPONSES.fields_by_name['CurrentSensorType'].message_type = SiLAFramework__pb2._STRING
_GETALLO2_RESPONSES.fields_by_name['CurrentAmplitude'].message_type = SiLAFramework__pb2._INTEGER
_GETALLO2_RESPONSES.fields_by_name['CurrentPhase'].message_type = SiLAFramework__pb2._REAL
_GETALLO2_RESPONSES.fields_by_name['CurrentTemperature'].message_type = SiLAFramework__pb2._REAL
_GETALLO2_RESPONSES.fields_by_name['CurrentO2'].message_type = SiLAFramework__pb2._REAL
_GETALLO2_RESPONSES.fields_by_name['CurrentErrorCode'].message_type = SiLAFramework__pb2._STRING
_GETALLPH_RESPONSES.fields_by_name['CurrentSensorType'].message_type = SiLAFramework__pb2._STRING
_GETALLPH_RESPONSES.fields_by_name['CurrentAmplitude'].message_type = SiLAFramework__pb2._INTEGER
_GETALLPH_RESPONSES.fields_by_name['CurrentPhase'].message_type = SiLAFramework__pb2._REAL
_GETALLPH_RESPONSES.fields_by_name['CurrentTemperature'].message_type = SiLAFramework__pb2._REAL
_GETALLPH_RESPONSES.fields_by_name['CurrentPH'].message_type = SiLAFramework__pb2._REAL
_GETALLPH_RESPONSES.fields_by_name['CurrentErrorCode'].message_type = SiLAFramework__pb2._STRING
_GET_TOTALCHANNELS_RESPONSES.fields_by_name['TotalChannels'].message_type = SiLAFramework__pb2._INTEGER
_GET_TOTALBARS_RESPONSES.fields_by_name['TotalBars'].message_type = SiLAFramework__pb2._INTEGER
_GET_BARSENSORS_RESPONSES.fields_by_name['BarSensors'].message_type = SiLAFramework__pb2._INTEGER
DESCRIPTOR.message_types_by_name['GetSingleO2_Parameters'] = _GETSINGLEO2_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSingleO2_Responses'] = _GETSINGLEO2_RESPONSES
DESCRIPTOR.message_types_by_name['GetSinglePH_Parameters'] = _GETSINGLEPH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSinglePH_Responses'] = _GETSINGLEPH_RESPONSES
DESCRIPTOR.message_types_by_name['GetAllO2_Parameters'] = _GETALLO2_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAllO2_Responses'] = _GETALLO2_RESPONSES
DESCRIPTOR.message_types_by_name['GetAllPH_Parameters'] = _GETALLPH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAllPH_Responses'] = _GETALLPH_RESPONSES
DESCRIPTOR.message_types_by_name['Get_TotalChannels_Parameters'] = _GET_TOTALCHANNELS_PARAMETERS
DESCRIPTOR.message_types_by_name['Get_TotalChannels_Responses'] = _GET_TOTALCHANNELS_RESPONSES
DESCRIPTOR.message_types_by_name['Get_TotalBars_Parameters'] = _GET_TOTALBARS_PARAMETERS
DESCRIPTOR.message_types_by_name['Get_TotalBars_Responses'] = _GET_TOTALBARS_RESPONSES
DESCRIPTOR.message_types_by_name['Get_BarSensors_Parameters'] = _GET_BARSENSORS_PARAMETERS
DESCRIPTOR.message_types_by_name['Get_BarSensors_Responses'] = _GET_BARSENSORS_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetSingleO2_Parameters = _reflection.GeneratedProtocolMessageType('GetSingleO2_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSINGLEO2_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Parameters)
  })
_sym_db.RegisterMessage(GetSingleO2_Parameters)

GetSingleO2_Responses = _reflection.GeneratedProtocolMessageType('GetSingleO2_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSINGLEO2_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSingleO2_Responses)
  })
_sym_db.RegisterMessage(GetSingleO2_Responses)

GetSinglePH_Parameters = _reflection.GeneratedProtocolMessageType('GetSinglePH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSINGLEPH_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Parameters)
  })
_sym_db.RegisterMessage(GetSinglePH_Parameters)

GetSinglePH_Responses = _reflection.GeneratedProtocolMessageType('GetSinglePH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSINGLEPH_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetSinglePH_Responses)
  })
_sym_db.RegisterMessage(GetSinglePH_Responses)

GetAllO2_Parameters = _reflection.GeneratedProtocolMessageType('GetAllO2_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALLO2_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Parameters)
  })
_sym_db.RegisterMessage(GetAllO2_Parameters)

GetAllO2_Responses = _reflection.GeneratedProtocolMessageType('GetAllO2_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALLO2_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllO2_Responses)
  })
_sym_db.RegisterMessage(GetAllO2_Responses)

GetAllPH_Parameters = _reflection.GeneratedProtocolMessageType('GetAllPH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALLPH_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Parameters)
  })
_sym_db.RegisterMessage(GetAllPH_Parameters)

GetAllPH_Responses = _reflection.GeneratedProtocolMessageType('GetAllPH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALLPH_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.GetAllPH_Responses)
  })
_sym_db.RegisterMessage(GetAllPH_Responses)

Get_TotalChannels_Parameters = _reflection.GeneratedProtocolMessageType('Get_TotalChannels_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GET_TOTALCHANNELS_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Parameters)
  })
_sym_db.RegisterMessage(Get_TotalChannels_Parameters)

Get_TotalChannels_Responses = _reflection.GeneratedProtocolMessageType('Get_TotalChannels_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GET_TOTALCHANNELS_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalChannels_Responses)
  })
_sym_db.RegisterMessage(Get_TotalChannels_Responses)

Get_TotalBars_Parameters = _reflection.GeneratedProtocolMessageType('Get_TotalBars_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GET_TOTALBARS_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Parameters)
  })
_sym_db.RegisterMessage(Get_TotalBars_Parameters)

Get_TotalBars_Responses = _reflection.GeneratedProtocolMessageType('Get_TotalBars_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GET_TOTALBARS_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_TotalBars_Responses)
  })
_sym_db.RegisterMessage(Get_TotalBars_Responses)

Get_BarSensors_Parameters = _reflection.GeneratedProtocolMessageType('Get_BarSensors_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GET_BARSENSORS_PARAMETERS,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Parameters)
  })
_sym_db.RegisterMessage(Get_BarSensors_Parameters)

Get_BarSensors_Responses = _reflection.GeneratedProtocolMessageType('Get_BarSensors_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GET_BARSENSORS_RESPONSES,
  '__module__' : 'SensorProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.sensorprovider.v1.Get_BarSensors_Responses)
  })
_sym_db.RegisterMessage(Get_BarSensors_Responses)



_SENSORPROVIDER = _descriptor.ServiceDescriptor(
  name='SensorProvider',
  full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2194,
  serialized_end=3380,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetSingleO2',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.GetSingleO2',
    index=0,
    containing_service=None,
    input_type=_GETSINGLEO2_PARAMETERS,
    output_type=_GETSINGLEO2_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSinglePH',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.GetSinglePH',
    index=1,
    containing_service=None,
    input_type=_GETSINGLEPH_PARAMETERS,
    output_type=_GETSINGLEPH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAllO2',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.GetAllO2',
    index=2,
    containing_service=None,
    input_type=_GETALLO2_PARAMETERS,
    output_type=_GETALLO2_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAllPH',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.GetAllPH',
    index=3,
    containing_service=None,
    input_type=_GETALLPH_PARAMETERS,
    output_type=_GETALLPH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='Get_TotalChannels',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.Get_TotalChannels',
    index=4,
    containing_service=None,
    input_type=_GET_TOTALCHANNELS_PARAMETERS,
    output_type=_GET_TOTALCHANNELS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='Get_TotalBars',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.Get_TotalBars',
    index=5,
    containing_service=None,
    input_type=_GET_TOTALBARS_PARAMETERS,
    output_type=_GET_TOTALBARS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='Get_BarSensors',
    full_name='sila2.biovt.mw.tum.de.examples.sensorprovider.v1.SensorProvider.Get_BarSensors',
    index=6,
    containing_service=None,
    input_type=_GET_BARSENSORS_PARAMETERS,
    output_type=_GET_BARSENSORS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_SENSORPROVIDER)

DESCRIPTOR.services_by_name['SensorProvider'] = _SENSORPROVIDER

# @@protoc_insertion_point(module_scope)
